> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /employments

GET https://api.merge.dev/api/hris/v1/employments

Returns a list of `Employment` objects.

Reference: https://docs.merge.dev/merge-unified/hris/common-models/employments/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `created_after` (datetime, optional) — If provided, will only return objects created after this datetime.
- `created_before` (datetime, optional) — If provided, will only return objects created before this datetime.
- `cursor` (string, optional) — The pagination cursor value.
- `employee_id` (string, optional) — If provided, will only return employments for this employee.
- `expand` (list of enum, optional) — Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
  - Allowed values: `employee`, `pay_group`
- `include_deleted_data` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `include_remote_data` (boolean, optional) — Whether to include the original data Merge fetched from the third-party to produce these models.
- `include_shell_data` (boolean, optional) — Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).
- `modified_after` (datetime, optional) — If provided, only objects synced by Merge after this date time will be returned.
- `modified_before` (datetime, optional) — If provided, only objects synced by Merge before this date time will be returned.
- `order_by` (enum, optional) — Overrides the default ordering for this endpoint. Possible values include: effective_date, -effective_date.
  - Allowed values: `-effective_date`, `effective_date`
- `page_size` (integer, optional) — Number of results to return per page. The maximum limit is 100.
- `remote_fields` (enum, optional) — Deprecated. Use show_enum_origins.
  - Allowed values: `employment_type`, `employment_type,flsa_status`, `employment_type,flsa_status,pay_frequency`, `employment_type,flsa_status,pay_frequency,pay_period`, `employment_type,flsa_status,pay_period`, `employment_type,pay_frequency`, `employment_type,pay_frequency,pay_period`, `employment_type,pay_period`, `flsa_status`, `flsa_status,pay_frequency`, `flsa_status,pay_frequency,pay_period`, `flsa_status,pay_period`, `pay_frequency`, `pay_frequency,pay_period`, `pay_period`
- `remote_id` (string, optional) — The API provider's ID for the given object.
- `show_enum_origins` (enum, optional) — A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
  - Allowed values: `employment_type`, `employment_type,flsa_status`, `employment_type,flsa_status,pay_frequency`, `employment_type,flsa_status,pay_frequency,pay_period`, `employment_type,flsa_status,pay_period`, `employment_type,pay_frequency`, `employment_type,pay_frequency,pay_period`, `employment_type,pay_period`, `flsa_status`, `flsa_status,pay_frequency`, `flsa_status,pay_frequency,pay_period`, `flsa_status,pay_period`, `pay_frequency`, `pay_frequency,pay_period`, `pay_period`

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)
- `results` (list of Employment, optional)

## Types

### Employment

# The Employment Object ### Description The `Employment` object is used to represent a job position at a company. If an integration supports historical tracking of employments, it will be reflected in the data. If not, a new `Employment` object will be created whenever there is a change in job title or pay. The `effective_date` field should be used to order `Employment` objects, with the most recent date corresponding to the latest employment record for an employee. ### Usage Example Fetch from the `LIST Employments` endpoint and filter by `ID` to show all employees.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `employee` (string, optional, nullable) — The employee holding this position.
- `job_title` (string, optional, nullable) — The position's title.
- `pay_rate` (double, optional, nullable) — The position's pay rate.
- `pay_period` (enum, optional, nullable) — The time period this pay rate encompasses. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=pay_period` to receive the integration's own value instead.
  - Allowed values: `HOUR`, `DAY`, `WEEK`, `EVERY_TWO_WEEKS`, `SEMIMONTHLY`, `MONTH`, `QUARTER`, `EVERY_SIX_MONTHS`, `YEAR`
- `pay_frequency` (enum, optional, nullable) — The position's pay frequency. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=pay_frequency` to receive the integration's own value instead.
  - Allowed values: `WEEKLY`, `BIWEEKLY`, `MONTHLY`, `QUARTERLY`, `SEMIANNUALLY`, `ANNUALLY`, `THIRTEEN-MONTHLY`, `PRO_RATA`, `SEMIMONTHLY`
- `pay_currency` (enum, optional, nullable) — The position's currency code. The currency code in ISO 4217 format.
  - Allowed values: `XUA`, `AFN`, `AFA`, `ALL`, `ALK`, `DZD`, `ADP`, `AOA`, `AOK`, `AON`, `AOR`, `ARA`, `ARS`, `ARM`, `ARP`, `ARL`, `AMD`, `AWG`, `AUD`, `ATS`, `AZN`, `AZM`, `BSD`, `BHD`, `BDT`, `BBD`, `BYN`, `BYB`, `BYR`, `BEF`, `BEC`, `BEL`, `BZD`, `BMD`, `BTN`, `BOB`, `BOL`, `BOV`, `BOP`, `BAM`, `BAD`, `BAN`, `BWP`, `BRC`, `BRZ`, `BRE`, `BRR`, `BRN`, `BRB`, `BRL`, `GBP`, `BND`, `BGL`, `BGN`, `BGO`, `BGM`, `BUK`, `BIF`, `XPF`, `KHR`, `CAD`, `CVE`, `KYD`, `XAF`, `CLE`, `CLP`, `CLF`, `CNX`, `CNY`, `CNH`, `COP`, `COU`, `KMF`, `CDF`, `CRC`, `HRD`, `HRK`, `CUC`, `CUP`, `CYP`, `CZK`, `CSK`, `DKK`, `DJF`, `DOP`, `NLG`, `XCD`, `DDM`, `ECS`, `ECV`, `EGP`, `GQE`, `ERN`, `EEK`, `ETB`, `EUR`, `XBA`, `XEU`, `XBB`, `XBC`, `XBD`, `FKP`, `FJD`, `FIM`, `FRF`, `XFO`, `XFU`, `GMD`, `GEK`, `GEL`, `DEM`, `GHS`, `GHC`, `GIP`, `XAU`, `GRD`, `GTQ`, `GWP`, `GNF`, `GNS`, `GYD`, `HTG`, `HNL`, `HKD`, `HUF`, `IMP`, `ISK`, `ISJ`, `INR`, `IDR`, `IRR`, `IQD`, `IEP`, `ILS`, `ILP`, `ILR`, `ITL`, `JMD`, `JPY`, `JOD`, `KZT`, `KES`, `KWD`, `KGS`, `LAK`, `LVL`, `LVR`, `LBP`, `LSL`, `LRD`, `LYD`, `LTL`, `LTT`, `LUL`, `LUC`, `LUF`, `MOP`, `MKD`, `MKN`, `MGA`, `MGF`, `MWK`, `MYR`, `MVR`, `MVP`, `MLF`, `MTL`, `MTP`, `MRU`, `MRO`, `MUR`, `MXV`, `MXN`, `MXP`, `MDC`, `MDL`, `MCF`, `MNT`, `MAD`, `MAF`, `MZE`, `MZN`, `MZM`, `MMK`, `NAD`, `NPR`, `ANG`, `TWD`, `NZD`, `NIO`, `NIC`, `NGN`, `KPW`, `NOK`, `OMR`, `PKR`, `XPD`, `PAB`, `PGK`, `PYG`, `PEI`, `PEN`, `PES`, `PHP`, `XPT`, `PLN`, `PLZ`, `PTE`, `GWE`, `QAR`, `XRE`, `RHD`, `RON`, `ROL`, `RUB`, `RUR`, `RWF`, `SVC`, `WST`, `SAR`, `RSD`, `CSD`, `SCR`, `SLL`, `XAG`, `SGD`, `SKK`, `SIT`, `SBD`, `SOS`, `ZAR`, `ZAL`, `KRH`, `KRW`, `KRO`, `SSP`, `SUR`, `ESP`, `ESA`, `ESB`, `XDR`, `LKR`, `SHP`, `XSU`, `SDD`, `SDG`, `SDP`, `SRD`, `SRG`, `SZL`, `SEK`, `CHF`, `SYP`, `STN`, `STD`, `TVD`, `TJR`, `TJS`, `TZS`, `XTS`, `THB`, `XXX`, `TPE`, `TOP`, `TTD`, `TND`, `TRY`, `TRL`, `TMT`, `TMM`, `USD`, `USN`, `USS`, `UGX`, `UGS`, `UAH`, `UAK`, `AED`, `UYW`, `UYU`, `UYP`, `UYI`, `UZS`, `VUV`, `VES`, `VEB`, `VEF`, `VND`, `VNN`, `CHE`, `CHW`, `XOF`, `YDD`, `YER`, `YUN`, `YUD`, `YUM`, `YUR`, `ZWN`, `ZRN`, `ZRZ`, `ZMW`, `ZMK`, `ZWD`, `ZWR`, `ZWL`
- `pay_group` (string, optional, nullable) — The employment's pay group
- `flsa_status` (enum, optional, nullable) — The position's FLSA status. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=flsa_status` to receive the integration's own value instead.
  - Allowed values: `EXEMPT`, `SALARIED_NONEXEMPT`, `NONEXEMPT`, `OWNER`
- `effective_date` (datetime, optional, nullable) — The position's effective date.
- `employment_type` (enum, optional, nullable) — The position's type of employment. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=employment_type` to receive the integration's own value instead.
  - Allowed values: `FULL_TIME`, `PART_TIME`, `INTERN`, `CONTRACTOR`, `FREELANCE`
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (EmploymentFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

### EmploymentFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

## Examples

**Response**

```json
{
  "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
  "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
  "results": [
    {
      "id": "65d8ffd0-211b-4ba4-b85a-fbe2ce220982",
      "remote_id": "19202938",
      "created_at": "2021-09-15T00:00:00Z",
      "modified_at": "2021-10-16T00:00:00Z",
      "employee": "0958cbc6-6040-430a-848e-aafacbadf4ae",
      "job_title": "Executive Assistant to Tom Wambsgans",
      "pay_rate": 50000,
      "pay_period": "YEAR",
      "pay_frequency": "BIWEEKLY",
      "pay_currency": "USD",
      "pay_group": "d4e4837f-9900-484c-ac40-528365bb08ef",
      "flsa_status": "EXEMPT",
      "effective_date": "2023-10-06T18:42:34Z",
      "employment_type": "FULL_TIME",
      "remote_was_deleted": true,
      "field_mappings": {
        "organization_defined_targets": {
          "custom_key": "custom_value"
        },
        "linked_account_defined_targets": {
          "custom_key": "custom_value"
        }
      },
      "remote_data": [
        {
          "path": "/jobs",
          "data": null
        }
      ]
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/hris/v1/employments"

querystring = {"include_remote_data":"true"}

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/hris/v1/employments?include_remote_data=true';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/hris/v1/employments?include_remote_data=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/hris/v1/employments?include_remote_data=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/hris/v1/employments?include_remote_data=true")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/hris/v1/employments?include_remote_data=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/hris/v1/employments?include_remote_data=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/hris/v1/employments?include_remote_data=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```